Home | All Classes | Grouped Classes | Index | Search

# Class CL_DelauneyTriangulator

Delauney triangulator. More...

Derived from: none
Derived by: none
Group: Core (Math)

#include <ClanLib/core.h>

Construction:

CL_DelauneyTriangulator | Creates a triangulator object.

Attributes:

get_vertices | Returns the list of vertices in the triangulation.
get_triangles | Returns the resulting triangles produced from triangulation.

Operations:

add_vertex | This function specifies a point to be used in the triangulation.
generate | Converts passed points into triangles.

Detailed description:

This class uses the delauney triangulation algorithm to produce triangles between a list of points.

Questions or comments, write to the ClanLib mailing list.